modules:
{% for module in snmp_exporter_prometheus_mib_modules %}
  {{ module.name }}:
    walk:
{% for oid in module.walk %}
      - "{{ oid }}"
{% endfor %}
    version: {{ module.version | default('2') }}
    max_repetitions: {{ module.max_repetitions | default('25')}}
    retries: {{ module.retries | default('3')}}
    timeout: {{ module.timeout | default('5s')}}
{% if module.auth is defined and module.auth is not none %}
    auth:
{% for key,value in module.auth.items() %}
      {{ key }}: "{{ value }}"
{% endfor %}
{% endif %}
{% if module.lookups is defined and module.lookups is not none %}
    lookups:
{% for lookup_entry in module.lookups %}
      - source_indexes: {{ lookup_entry.source_indexes }}
        lookup: {{ lookup_entry.lookup }}
        drop_source_indexes: {{ lookup_entry.drop_source_indexes | default('False') }}
{% endfor %}
{% endif %}

{% if module.overrides is defined and module.overrides is not none %}
    overrides:
{% for override in module.overrides %}
      {{ override.metric_name }}:
{% if override.type is defined and override.type is not none %}
        type: {{ override.type }}
{% endif %}
{% if override.ignore is defined and override.ignore is not none %}
        ignore: {{ override.ignore }}
{% endif %}
{% endfor %}
{% endif %} 
{% endfor %}
